{% if controller_name == 'GuiasController' %}
    {% set pagina = 'pagina-guias' %}
{% elseif controller_name == 'FacturasController' %}
    {% set pagina = 'pagina-factura' %}
{% elseif controller_name == 'PagosController' %}
    {% set pagina = 'pagina-pagos' %}
{% endif %}

<div class="botones-accion">
    <button class="btn btn-primary" type="button" data-bs-toggle="offcanvas" data-bs-target="#offcanvasExample" aria-controls="offcanvasExample">
        {% if not modoEdit %}
            Añadir Elemento
        {% else %}
            Abrir Campos Edicion
        {% endif %}
    </button>
    {% if modoEdit %}
        {% set titulo_salir_edicion = 'Salir Modo Edicion' %}
        
        {% if pagina == 'pagina-guias' %}
            <a class="btn btn-primary" href="/guias">{{titulo_salir_edicion}}</a>
        {% elseif pagina == 'pagina-factura' %}
            <a class="btn btn-primary" href="/facturas">{{titulo_salir_edicion}}</a>
        {% elseif pagina == 'pagina-pagos' %}
            <a class="btn btn-primary" href="/pagos">{{titulo_salir_edicion}}</a>
        {% endif %}
    {% endif %}
</div>

